Package org.jcsp.net.settings

# Class Address

java.lang.Object
org.jcsp.net.settings.Address

public class Address extends Object
Used internally within the JCSP network infrastructure to represent a single address.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`Address(String protocolID, String value, boolean unique)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSpec(Spec spec)`
`boolean`
`equals(Object o)`
`String`
`getProtocolID()`
`Spec[]`
`getSpecs()`
`String`
`getValue()`
`boolean`
`isUnique()`
`void`
`removeSpec(Spec spec)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Address

public Address(String protocolID, String value, boolean unique)

## Method Details

### getProtocolID

public String getProtocolID()

### getValue

public String getValue()

### addSpec

public void addSpec(Spec spec)

### removeSpec

public void removeSpec(Spec spec)

### getSpecs

public Spec[] getSpecs()

### isUnique

public boolean isUnique()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`